## edu.stanford.nlp.tagger.maxent
Class AmbiguityClass

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.AmbiguityClass

    public class AmbiguityClass

extends Object

An ambiguity class for a word is the word by itself or its set of observed tags.

Constructor Summary
`` `AmbiguityClass()`
`protected` `AmbiguityClass(String word, boolean single, Dictionary dict, TTags ttags)`
`protected` `AmbiguityClass(String word, Dictionary dict, TTags ttags)`

Method Summary
`boolean` `equals(Object o)`
`String` `getWord()`
`int` `hashCode()`
`protected void` `init(TTags ttags)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AmbiguityClass

    public AmbiguityClass()

### AmbiguityClass

    protected AmbiguityClass(String word,
                             Dictionary dict,
                             TTags ttags)

### AmbiguityClass

    protected AmbiguityClass(String word,
                             boolean single,
                             Dictionary dict,
                             TTags ttags)

Method Detail

### getWord

    public String getWord()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### init

    protected void init(TTags ttags)

Stanford NLP Group